Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rendsite.engine
Interface PropertiesFileContext

All Known Implementing Classes:
  PropertiesContext

    public interface PropertiesFileContext

Context for the file properties. BE VERY CAREFUL WITH THESE. The results are only valid for the directory you're currently processing, since the metafile scope changes in every directory. IN FACT, DON'T USE THEM AT ALL. THE ENGINE WILL SET THESE ATTRIBUTES FOR YOU.

Author:
  erich Version History

       10NOV09 - EPG - First package release.

Method Summary
`boolean` | `COPY_ONLY(Node_Directory directory)` Is the directory copy only?
`boolean` | `COPY_ONLY(Node_File file)` Is the file copy only?
`boolean` | `EXCLUDED(java.io.File file)` Is the file or directory excluded?
`boolean` | `EXCLUDED(Node_Directory directory)` Is the directory excluded?
`boolean` | `EXCLUDED(Node_File file)` Is the file excluded?
`boolean` | `IGNORED(java.io.File file)` Is the file or directory ignored?
`boolean` | `IGNORED(Node_Directory directory)` Is the directory ignored?
`boolean` | `IGNORED(Node_File file)` Is the file ignored?

Method Detail

### EXCLUDED

    boolean EXCLUDED(Node_Directory directory)
                     throws java.lang.Throwable

  Is the directory excluded?

  Parameters:
    `directory` - the directory.
  Returns:
    true if it is excluded, otherwise false.
  Throws:
    `java.lang.Throwable` - for severe platform problems only.

### EXCLUDED

    boolean EXCLUDED(Node_File file)
                     throws java.lang.Throwable

  Is the file excluded?

  Parameters:
    `file` - the file.
  Returns:
    true if it is excluded, otherwise false.
  Throws:
    `java.lang.Throwable` - for severe platform problems only.

### EXCLUDED

    boolean EXCLUDED(java.io.File file)
                     throws java.lang.Throwable

  Is the file or directory excluded?

  Parameters:
    `file` - the java File representing a directory or file.
  Returns:
    true if it is excluded, otherwise false.
  Throws:
    `java.lang.Throwable` - for severe platform problems only.

### IGNORED

    boolean IGNORED(Node_Directory directory)
                    throws java.lang.Throwable

  Is the directory ignored?

  Parameters:
    `directory` - the directory.
  Returns:
    true if it is ignored, otherwise false.
  Throws:
    `java.lang.Throwable` - for severe platform problems only.

### IGNORED

    boolean IGNORED(Node_File file)
                    throws java.lang.Throwable

  Is the file ignored?

  Parameters:
    `file` - the file.
  Returns:
    true if it is ignored, otherwise false.
  Throws:
    `java.lang.Throwable` - for severe platform problems only.

### IGNORED

    boolean IGNORED(java.io.File file)
                    throws java.lang.Throwable

  Is the file or directory ignored?

  Parameters:
    `file` - the java File representing a directory or file.
  Returns:
    true if it is ignored, otherwise false.
  Throws:
    `java.lang.Throwable` - for severe platform problems only.

### COPY_ONLY

    boolean COPY_ONLY(Node_File file)
                      throws java.lang.Throwable

  Is the file copy only?

  Parameters:
    `file` - the file.
  Returns:
    true if it is copy only, otherwise false.
  Throws:
    `java.lang.Throwable` - for severe platform problems only.

### COPY_ONLY

    boolean COPY_ONLY(Node_Directory directory)
                      throws java.lang.Throwable

  Is the directory copy only?

  Parameters:
    `directory` - the directory.
  Returns:
    true if it is copy only, otherwise false.
  Throws:
    `java.lang.Throwable` - for severe platform problems only.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

rendsite.